Subject: bug#10901: 24.0.94; Incorrect display of "EMPTY SET" unicode glyph.

From: Felix Geller <[email-masked]>
Date: Wed, 29 Feb 2012 10:26:09 +0100

On Mon, Feb 27, 2012 at 9:32 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Felix Geller <[email-masked]>
>> Date: Mon, 27 Feb 2012 12:49:00 +0100
>>
>> emacs -Q
>> M-x ucs-insert empty set RET
>>
>> The displayed character is not an empty set symbol, but a square
>> symbol.
>
> What does Emacs say if you go to the square symbol and type "C-u C-x ="?

(copied from *Help* buffer)

             position: 192 of 192 (99%), column: 0
            character: ∅ (displayed as ∅) (codepoint 8709, #o21005, #x2205)
    preferred charset: unicode (Unicode (ISO10646))
code point in charset: 0x2205
               syntax: . 	which means: punctuation
             category: .:Base, j:Japanese
          buffer code: #xE2 #x88 #x85
            file code: #xE2 #x88 #x85 (encoded by coding system utf-8-unix)
              display: by this font (glyph code)
    nil:-apple-AppleMyungjo-medium-normal-normal-*-12-*-*-*-p-0-iso10646-1
(#x00)

Character code properties: customize what to show
  name: EMPTY SET
  general-category: Sm (Symbol, Math)
  decomposition: (8709) ('∅')

There are text properties here:
  fontified            t

>> This used to work fine until I updated to the 24.0.94 pretest this
>> morning. Please let me know where to post a screenshot.
>
> I get the empty symbol in the 24.0.94 pretest, so it's something
> specific to your system.  Maybe a font setup issue or something.

Looks like the font name (AppleMyungjo) is off? (The above output is
after using emacs -Q).

Hope can I (help to) investigate further?